DELETE FROM t_meta_bizextcase WHERE FID = 1646507629134098432;
INSERT INTO t_meta_bizextcase(FID,FVERSION,FSAMPLE_TAG,FISV,FOBJECTTYPE,FMASTERID,FSTATUS,FNUMBER,FNAME,FINTERFACE,FCREATETIME,FENABLE,FMODIFIERID,FBIZAPPID,FMODIFYTIME,FCREATORID,FSAMPLE) VALUES (1646507629134098432,1679901752589,'{"text":"## 总账报表查询结果集支持自定义扩展逻辑\n## 扩展场景说明\n#### 标准产品的查询插件返回结果集允许二开在扩展点中修改结果集内容\n#### 只有kd.sdk.fi.gl.extpoint.report.ReportParam.ReportType中定义的报表枚举才支持扩展\n## 使用说明\n```\npackage kd.sdk.fi.gl.extpoint.report;\n\nimport kd.sdk.annotation.SdkPlugin;\nimport kd.sdk.annotation.SdkPublic;\n\n/**\n * @Date: 2023-3-23\n * @version 1.0\n * @Description: 总账报表查询结果集扩展处理器\n *\n */\n@SdkPlugin(name = \"总账报表行隐藏扩展器\")\n@SdkPublic\npublic interface IReportRowHideSpi {\n\n    /**\n     * 业务场景编码：配置工具-业务场景菜单配置编码\n     */\n    String BIZCODE = \"kd.sdk.fi.gl.extpoint.report.IReportRowHideSpi.needHide\";\n\n    /**\n     * @param param 报表查询上下文\n     * @param rowType 行类型\n     * @return 返回Ture则隐藏该报表查询结果集中对应rowType的所有列\n     *\n     * <p>扩展示例如下\n    <pre><code>\n    package kd.sdk.fi.gl.extpoint.report;\n\n    import kd.bos.algo.DataSet;\n    import kd.bos.entity.report.FilterInfo;\n\n    public class SummaryFilter implements IReportRowHideSpi {\n\n        @Override\n        public Boolean needHide(ReportParam param, RowType rowType) {\n            switch (param.getReportType()) {\n                case SUB_LEDGER:\n                    FilterInfo filter = param.getQueryParam().getFilter();\n                    if(!filter.getBoolean(\"showsummary\")) {\n                        //明细分类账过滤本期合计\n                        return rowType == RowType.ROW_TYPE_BEGIN;\n                    }\n                    break;\n                case AUX_SUB_LEDGER:\n                case SUBSI_DIARY_LEDGER:\n                    break;\n            }\n            return false;\n        }\n    }\n    </code></pre>\n     */\n    Boolean needHide(ReportParam param, RowType rowType);\n}\n\n```"}','kingdee',' ',1646507629134098432,'A','kd.sdk.fi.gl.extpoint.report.IReportRowHideSpi.needHide','总账报表查询结果集扩展处理器','kd.sdk.fi.gl.extpoint.report.IReportRowHideSpi',{ts'2023-03-22  00:00:00'},'1',1163734961719736320,'83bfebc8000017ac',{ts'2023-03-27  00:00:00'},1163734961719736320,' ');
